<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'college_group')]
class CollegeGroup {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Специальность группы
    #[ORM\ManyToOne(CollegeSpec::class)]
    #[ORM\JoinColumn(nullable: false)]
    private CollegeSpec $spec;

    // Номер курса группы
    #[ORM\Column(type: 'integer')]
    private int $course_num;

    public function getID() {
        return $this->id;
    }

    public function getSpec() {
        return $this->spec;
    }

    public function setSpec(CollegeSpec $spec) {
        $this->spec = $spec;
    }

    public function setCourseNum(int $num) {
        $this->course_num = $num;
    }
}