<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

#[ORM\Entity(repositoryClass: "PairRepo")]
#[ORM\Table(name: 'pair')]
class Pair {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Для какого расписания
    #[ORM\ManyToOne(Schedule::class)]
    #[ORM\JoinColumn(nullable: false)]
    private Schedule $schedule;

    // Время проведения
    #[ORM\Column(type: 'time', name: 'ptime')]
    private \Datetime $time;

    // Название пары
    #[ORM\ManyToOne(PairName::class)]
    #[ORM\JoinColumn(nullable: false)]
    private PairName $pair_name;

    // Детали проведения
    #[ORM\OneToMany(targetEntity: PairConductionDetail::class, mappedBy: 'pair')]
    private Collection $conduction_details;

    public function __construct() {
        $this->conduction_details = new ArrayCollection();
    }

    public function getPairName() : PairName {
        return $this->pair_name;
    }

    public function getConductionDetails() {
        return $this->conduction_details;
    }

    public function getTime() : \Datetime {
        return $this->time;
    }
    
}